from django.db import models

from utenti.models import *

class SecurityLevel(models.Model):
  # contiene la descrizione e la testa delle singole voci di sicurezza
  id = models.IntegerField(db_column='id',primary_key=True)
  nome = models.CharField(db_column='nome',max_length=50)
  enabled = models.BooleanField(db_column='enabled',default=True)
  class Meta:
    ordering = ['id']
    db_table = 'security_level4'
    managed = False

class SecurityOptions(models.Model):
  # contiene le singole voci di sicurezza
  id = models.IntegerField(db_column='id',primary_key=True)
  nome = models.CharField(db_column='nome',max_length=50)
  contesto = models.CharField(db_column='contesto',max_length=64)
  comando = models.CharField(db_column='comando',max_length=64)
  acronimo = models.CharField(db_column='acronimo',max_length=32)
  immagine = models.CharField(db_column='immagine',max_length=64)
  class Meta:
    ordering = ['id']
    db_table = 'security_options4'
    managed = False

class SecurityRow(models.Model):
  # contiene le associazioni tra Livello e singola voce di sicurezza
  id = models.IntegerField(db_column='id',primary_key=True)
  securitylevel = models.ForeignKey('SecurityLevel',db_column='security_level',on_delete=models.CASCADE)
  securityoptions = models.ForeignKey('SecurityOptions',db_column='security_options',on_delete=models.CASCADE)
  ordine = models.IntegerField(db_column='ordine')
  visibile = models.BooleanField(db_column='visibile',default=True)
  enabled = models.BooleanField(db_column='enabled',default=True)
  class Meta:
    ordering = ['id']
    db_table = 'security_row4'
    managed = False


